> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firstpromoter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get promoter referral links

> With this endpoint you can get the list of referral links for a single promoter (their default link plus any campaign or custom links). 
 <Tip>**HTTP Request** <br/>`GET https://api.firstpromoter.com/api/v2/company/promoters/{id}/referral_links`</Tip>



## OpenAPI

````yaml openapi-v2-promoters get /promoters/{id}/referral_links
openapi: 3.0.1
info:
  title: FirstPromoter API
  version: '1.0'
  description: API documentation for FirstPromoter promoters management
servers:
  - url: https://api.firstpromoter.com/api/v2/company
security:
  - BearerAuth: []
paths:
  /promoters/{id}/referral_links:
    get:
      tags:
        - Promoters
      summary: Get promoter referral links
      description: >-
        With this endpoint you can get the list of referral links for a single
        promoter (their default link plus any campaign or custom links). 
         <Tip>**HTTP Request** <br/>`GET https://api.firstpromoter.com/api/v2/company/promoters/{id}/referral_links`</Tip>
      operationId: getPromoterReferralLinks
      parameters:
        - $ref: '#/components/parameters/AccountId'
        - name: id
          in: path
          description: Id of the promoter
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      nullable: true
                    name:
                      type: string
                    url:
                      type: string
                    is_default:
                      type: boolean
                      nullable: true
                    source:
                      type: string
                      enum:
                        - campaign
                        - promoter
                    sub_id:
                      type: string
                      nullable: true
                    campaign:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        color:
                          type: string
                          nullable: true
                        language:
                          type: string
                          nullable: true
        '401':
          description: >-
            Unauthorized — the Bearer access token is missing, invalid, expired,
            or revoked. No JSON response body is returned.
          content:
            application/json:
              schema:
                type: object
              example: {}
        '403':
          description: >-
            Forbidden — the authenticated user does not have permission to
            perform this action
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: You don't have enough rights to perform this action
                code: forbidden
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: Record not found
                code: not_found
components:
  parameters:
    AccountId:
      name: Account-ID
      in: header
      required: true
      description: >-
        Account id. You can find your Account ID on Your FirstPromoter
        Dashboard. Navigate to Settings → Integrations
      schema:
        type: string
  schemas:
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key passed as a Bearer token in the Authorization header. You can
        find your API Key on Your FirstPromoter Dashboard. Navigate to Settings
        → Integrations section → Manage API Keys

````